<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE section PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" 
   "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">

<section id="pdt.parameters" xmlns:xi="http://www.w3.org/2001/XInclude">
    <sectioninfo>
    </sectioninfo>

    <title>Parameters</title>

    <section id="pdt.db_url">
	<title><varname>db_url</varname> (string)</title>
	<para>
	    <acronym>SQL</acronym> URL of database--username, password, host,
	    port and database (ex: mysql://username:password@hostname.com/database)
	</para>
	<para>
	    Default value is 'mysql://root@127.0.0.1/pdt'.
	</para>
	<example>
	    <title>Set <varname>db_url</varname> parameter</title>
	    <programlisting>
...
modparam("pdt", "db_url", "mysql://user:xxx@127.0.0.1/ser")
...
	    </programlisting>
	</example>
    </section>
    
    <section id="pdt.db_table">
	<title><varname>db_table</varname> (string)</title>
	<para>
	    Table name.
	</para>
	<para>
	    Default value is "prefix_domain".
	</para>
	<example>
	    <title>Set <varname>db_table</varname> parameter</title>
	    <programlisting>
...
modparam("pdt", "db_table", "pdt")
...
	    </programlisting>
	</example>
    </section>
    
    <section id="prefix_column">
	<title><varname>prefix_column</varname> (string)</title>
	<para>
	    Name of 'prefix' column.
	</para>
	<para>
	    <emphasis>
		Default value is "prefix".
	    </emphasis>
	</para>
	<example>
	    <title>Set <varname>prefix_column</varname> parameter</title>
	    <programlisting>
...
modparam("pdt", "prefix_column", "code")
...
	    </programlisting>
	</example>
    </section>

    <section id="pdt.domain_column">
	<title><varname>domain_column</varname> (string)</title>
	<para>
	    Name of 'domain' column.
	</para>
	<para>
	    Default value is "domain".
	</para>
	<example>
	    <title>Set <varname>domain_column</varname> parameter</title>
	    <programlisting>
...
modparam("pdt", "domain_column", "hostname")
...
	    </programlisting>
	</example>
    </section>
    
    <section id="prefix">
	<title><varname>prefix</varname> (string)</title>
	<para>
	    Default leading prefix who denotes what URI needs to be translated
	    - if it is NULL the module will not check the Request-URI; against
	    it and the PDT prefix is considered starting from the first
	    digit. Otherwise, the module will check first if the Request-URI
	    starts with it and will skip it to look up the domain.
	</para>
	<para>
		Default value is NULL.
	</para>
	<example>
	    <title>Set <varname>prefix</varname> parameter</title>
	    <programlisting>
...
modparam("pdt", "prefix", "00")
...
	    </programlisting>
	</example>
    </section>
    
    <section id="hsize_2pow">
	<title><varname>hsize_2pow</varname> (integer)</title>
	<para>
	    Number of the hash entries = 2^hash_size.
	</para>
	<para>
	    Default value is 4.
	</para>
	<example>
	    <title>Set <varname>hsize_2pow</varname> parameter</title>
	    <programlisting>
...
modparam("pdt", "hsize_2pow", 4)
...
	    </programlisting>
	</example>
    </section>
    
    <section id="sync_time">
	<title><varname>sync_time</varname> (integer)</title>
	<para>
	    Time in seconds to synchronize the cache of each process with the
	    changes made through FIFO. Any prefix-domain change made through
	    FIFO is guaranteed to have efect after this period of time past.
	</para>
	<para>
	    Default value is 600.
	</para>
	<example>
	    <title>Set <varname>sync_time</varname> parameter</title>
		<programlisting>
...
modparam("pdt", "sync_time", 300)
...
	    </programlisting>
	    </example>
    </section>
    
    <section id="clean_time">
	<title><varname>clean_time</varname> (integer)</title>
	<para>
	    Time in seconds to clean the changes inserted via FIFO. The changes
	    will be removed from FIFO diff list only when all SER processes
	    applied these changes.
	</para>
	<para>
	    Default value is 900.
	</para>
	<example>
	    <title>Set <varname>clean_time</varname> parameter</title>
	    <programlisting>
...
modparam("pdt", "clean_time", 600)
...
	    </programlisting>
	</example>
    </section>

</section>
